<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
require_once('../utilesphp/sql_oop.php'); //conexion a base de datos
if (isset($_GET['dia']) AND isset($_GET['mes']) AND isset($_GET['anno']) AND isset($_GET['Idventa']) AND isset($_GET['tipodoc']) AND isset($_GET['formapago']) AND isset($_GET['sucursal'])) {
	$fecha=$_GET['anno'].'-'.$_GET['mes'].'-'.$_GET['dia'];
	$fechapago=$fecha;
	$Idventa=$_GET['Idventa'];
	$formapago=$_GET['formapago'];
	$ncheque=$_GET['ncheque'];
	$bancocheque=$_GET['bancocheque'];
	if ($_GET['tipodoc']=="factura"){
		$mysqli->query('UPDATE facturas SET pagada="si",fechapago="'.$fechapago.'",formapago="'.$formapago.'",ncheque="'.$ncheque.'",bancocheque="'.$bancocheque.'" WHERE Idfactura="'.$Idventa.'"');
		$mysqli->query('INSERT INTO sucursales_ingresos (Idsucursal,fecha,tipoingreso,valoringreso,Idfactura) VALUES ("'.$_GET['sucursal'].'","'.$fechapago.'","'.$formapago.'","'.$_GET['total'].'","'.$Idventa.'")');
	} else {
		$mysqli->query('UPDATE ventas SET pagada="si",fechapago="'.$fechapago.'",formapago="'.$formapago.'",ncheque="'.$ncheque.'",bancocheque="'.$bancocheque.'" WHERE Idventa="'.$Idventa.'"');
		$mysqli->query('INSERT INTO sucursales_ingresos (Idsucursal,fecha,tipoingreso,valoringreso,Idventa) VALUES ("'.$_GET['sucursal'].'","'.$fechapago.'","'.$formapago.'","'.$_GET['total'].'","'.$Idventa.'")');
	}
}
$mysqli->close();
header('Location: ../movimientos-cobro-cxc.php');
?>